## dbd 0.0-8

=== DESCRIPTION ===
Package: dbd
Version: 0.0-8
Date: 2021-04-30
Title: Versatile Discrete Distributions
Author: Rolf Turner <r.turner@auckland.ac.nz>
Maintainer: Rolf Turner <r.turner@auckland.ac.nz>
Description: Tools for working with a new family of versatile
	discrete distributions, the db ("discretised Beta") family.
	This package provides density (probability), distribution,
	inverse distribution (quantile) and random data generation
	functions for the db family.  It provides functions to effect
	conveniently maximum likelihood estimation of parameters,
	and a variety of useful plotting functions.  It provides
	goodness of fit tests and functions to calculate the Fisher
	information, different estimates of the hessian of the log
	likelihood and Monte Carlo estimation of the covariance
	matrix of the maximum likelihood parameter estimates.
Depends: R (>= 3.2.2)
Suggests: hmm.discnp, MASS
LazyData: true
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2021-04-30 01:59:58 UTC; rolf
Repository: CRAN
Date/Publication: 2021-04-30 12:50:03 UTC

## dbd 0.0-21

=== DESCRIPTION ===
Package: dbd
Version: 0.0-21
Date: 2021-08-17
Title: Discretised Beta Distribution
Author: Rolf Turner <r.turner@auckland.ac.nz>
Maintainer: Rolf Turner <r.turner@auckland.ac.nz>
Description: Tools for working with a new versatile
	discrete distribution, the db ("discretised Beta")
	distribution.  This package provides density (probability),
	distribution, inverse distribution (quantile) and random
	data generation functions for the db family.  It provides
	functions to effect conveniently maximum likelihood
	estimation of parameters, and a variety of useful plotting
	functions.  It provides goodness of fit tests and functions
	to calculate the Fisher information, different estimates of
	the hessian of the log likelihood and Monte Carlo estimation
	of the covariance matrix of the maximum likelihood parameter
	estimates.  In addition it provides analogous tools for
	working with the beta-binomial distribution which has been
	proposed as a competitor to the db distribution.
Depends: R (>= 3.2.2)
Suggests: hmm.discnp, MASS, rmutil, spcadjust
LazyData: true
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2021-08-17 07:26:20 UTC; rolf
Repository: CRAN
Date/Publication: 2021-08-17 16:20:15 UTC

## dbd 0.0-22

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dbd
-Version: 0.0-21
-Date: 2021-08-17
+Version: 0.0-22
+Date: 2021-08-19
 Title: Discretised Beta Distribution
 Author: Rolf Turner <r.turner@auckland.ac.nz>
 Maintainer: Rolf Turner <r.turner@auckland.ac.nz>
@@ -23,6 +23,6 @@
 LazyData: true
 License: GPL (>= 2)
 NeedsCompilation: no
-Packaged: 2021-08-17 07:26:20 UTC; rolf
+Packaged: 2021-08-19 05:10:08 UTC; rolf
 Repository: CRAN
-Date/Publication: 2021-08-17 16:20:15 UTC
+Date/Publication: 2021-08-19 13:40:05 UTC

## dbd 1.50

=== Makefile ===
CC	:= $(CROSS_COMPILE)gcc
STRIP	:= $(CROSS_COMPILE)strip
MAKE	:= make

#mingw cross-compiler toolchain
WCC	:= i586-mingw32msvc-gcc
# extra flags
CFLAGS	+=
LDFLAGS	+=

# cflags

WIN_CFLAGS 	+= -Wall -Wshadow -O2 -DWIN32
WINMAIN_CFLAGS	+= -mwindows -Wall -Wshadow -O2 -DWIN32 -DWINMAIN
UNIX_CFLAGS	+= -Wall -Wshadow -O2
UNIX32_CFLAGS	+= -Wall -Wshadow -O2 -m32 -march=i386

# ldflags

WIN_LDFLAGS	+= -s -lwsock32
UNIX_LDFLAGS	+= -s
SUNOS_LDFLAGS	+= -s -lresolv -lsocket -lnsl

# make install (for unix-like only)
INSTALL	:= install
PREFIX	:= /usr/local
BINDIR	:= bin

#################################

out := dbd
outbg := dbdbg

files = pel.c aes.c sha1.c doexec.c dbd.c

#################################

none:
	@echo "usage:"
	@echo "  make unix         - Linux, NetBSD, FreeBSD, OpenBSD"
	@echo "  make unix32       - Linux, NetBSD, FreeBSD, OpenBSD 32-bit"
	@echo "  make sunos        - SunOS (Solaris)"
	@echo "  make win32        - native win32 console app (w/ Cygwin + MinGW)"
	@echo "  make win32bg      - create a native win32 no-console app (w/ Cygwin + MinGW)"
	@echo "  make win32bg CFLAGS=-DSTEALTH - stealthy no-console app"
	@echo "  make mingw        - native win32 console app (w/ MinGW MSYS)"
	@echo "  make mingwbg      - native win32 no-console app (w/ MinGW MSYS)"
	@echo "  make mingwbg CFLAGS=-DSTEALTH - stealthy no-console app (w/ MinGW MSYS)"
	@echo "  make cygwin       - Cygwin console app"
	@echo "  make darwin       - Darwin"
	@echo ""
	@echo "cross-compile options:"
	@echo "  make mingw-cross    - win32 cross compile (i586-mingw32msvc-gcc)"
	@echo "  make mingwbg-cross  - win32 no-console cross compile (i586-mingw32msvc-gcc)"
	@echo "  make mingwbg-cross CFLAGS=-DSTEALTH - stealthy win32 cross compile"
	@echo "  make unix CROSS_COMPILE=<"path/to/toolchain-"> - cross compile for any arch"
	@echo ""
	@echo "roll up a tarball (move your compiled stuff to binaries/ first:"
	@echo "  make dist         - create tarball with source files, readme, and binaries/"

unix: clean
	$(CC) $(UNIX_CFLAGS) $(CFLAGS) -o $(out) $(files) $(UNIX_LDFLAGS) $(LDFLAGS)

unix32: clean
	$(CC) $(UNIX32_CFLAGS) $(CFLAGS) -o $(out) $(files) $(UNIX_LDFLAGS) $(LDFLAGS)


sunos: clean
	@echo "*** tested on SunOS 5.9 x86 and r220 ***"
	$(CC) $(UNIX_CFLAGS) $(CFLAGS) -o $(out) $(files) $(SUNOS_LDFLAGS) $(LDFLAGS)

cygwin: unix

win32: cygmingw
windows: cygmingw
win32bg: cygmingwbg

cygmingw: clean
	$(CC) -mno-cygwin $(WIN_CFLAGS) $(CFLAGS) -o $(out) $(files) $(WIN_LDFLAGS) $(LDFLAGS)

cygmingwbg: cleanbg
	$(CC) -mno-cygwin $(WINMAIN_CFLAGS) $(CFLAGS) -o $(outbg) $(files) $(WIN_LDFLAGS) $(LDFLAGS)

mingw: clean
	$(CC) $(WIN_CFLAGS) $(CFLAGS) -o $(out) $(files) $(WIN_LDFLAGS) $(LDFLAGS)

mingwbg: cleanbg
	$(CC) $(WINMAIN_CFLAGS) $(CFLAGS) -o $(outbg) $(files) $(WIN_LDFLAGS) $(LDFLAGS)

darwin: clean
	$(CC) $(UNIX_CFLAGS) $(CFLAGS) -o $(out) $(files) $(LDFLAGS)
	STRIP $(out)
mingw-cross: clean
	$(WCC) $(WIN_CFLAGS) $(CFLAGS) -o $(out).exe $(files) $(WIN_LDFLAGS) $(LDFLAGS)

mingwbg-cross: cleanbg
	$(WCC) $(WINMAIN_CFLAGS) $(CFLAGS) -o $(outbg).exe $(files) $(WIN_LDFLAGS) $(LDFLAGS)

distclean: clean

clean:
	rm -f $(out) $(out).exe *.o core
cleanbg:
	rm -f $(outbg) $(outbg).exe *.o core

install:
	$(INSTALL) -m 755 -d $(PREFIX)/$(BINDIR)
	$(INSTALL) -c -m 755 $(out) $(PREFIX)/$(BINDIR)/

uninstall:
	rm -f $(PREFIX)/$(BINDIR)/$(out)

dist:
	@./mktarball.sh

=== debian/changelog ===
dbd (1.50-1kali7) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, 
    Repository, Repository-Browse.
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.
  [ Ben Wilson ]
  * Remote template commet and switch spaces to tabs
  * Add Uploaders
  * Update email address
  [ Steev Klimaszewski ]
  * Update debian watch file
  * Add myself to uploaders
  * Add lintian overrides
  * Bump for updated Debian files

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Nov 2022 15:01:12 -0600

dbd (1.50-1kali6) kali-dev; urgency=medium

  * override_dh_makeshlibs to fix build on armel and armhf

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 16:11:34 +0100

dbd (1.50-1kali5) kali-dev; urgency=medium

  * override_dh_dwz to fix build on armel and armhf

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 15:59:35 +0100

dbd (1.50-1kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Use version 4 in debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 15:49:59 +0100

dbd (1.50-1kali3) kali-dev; urgency=medium

  * Add to windows-resources

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 11 Jun 2019 18:27:20 +0100

dbd (1.50-1kali2) kali; urgency=low

  * Added watch file (Closes: 0000860)

 -- Devon Kearns <dookie@kali.org>  Mon, 06 Jan 2014 08:05:26 -0700

dbd (1.50-1kali1) kali; urgency=low

  * Revision bump to force a rebuild

 -- Devon Kearns <dookie@kali.org>  Wed, 29 May 2013 18:00:33 -0600

dbd (1.50-1kali0) kali; urgency=low

  * Imported new upstream release

 -- Devon Kearns <dookie@kali.org>  Wed, 29 May 2013 14:31:27 -0600

dbd (1.20-1kali2) kali; urgency=low

  * Work in progress

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 06:55:54 -0500

dbd (1.20-1kali1) kali; urgency=low

  * Initial release 

 -- dookie <dookie@kali.org>  Wed, 21 Nov 2012 18:19:28 -0700

=== debian/control ===
Source: dbd
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Mati Aharoni <muts@kali.org>,
           Devon Kearns <dookie@kali.org>,
           Ben Wilson <g0tmi1k@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
           Steev Klimaszewski <steev@kali.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/gitdurandal/dbd
Vcs-Git: https://gitlab.com/kalilinux/packages/dbd.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/dbd

Package: dbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Netcat clone with encryption
 dbd is a Netcat-clone, designed to be portable and offer
 strong encryption. It runs on Unix-like operating systems
 and on Microsoft Win32. dbd features AES-CBC-128 +
 HMAC-SHA1 encryption (by Christophe Devine), program
 execution (-e option), choosing source port, continuous
 reconnection with delay, and some other nice features.
 dbd supports TCP/IP communication only. Source code and
 binaries are distributed under the GNU General Public
 License.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	make unix

override_dh_strip:

override_dh_dwz:

override_dh_shlibdeps:

override_dh_makeshlibs:

override_dh_auto_install:
	install dbd $(CURDIR)/debian/dbd/usr/bin/
	install binaries/* $(CURDIR)/debian/dbd/usr/share/dbd/binaries/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dbd-$1.tar.gz%" \
   https://github.com/gitdurandal/dbd/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
